Update Loyalty Program Voucher
curl --request PUT \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/vouchers/{voucherId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"expiresIn": 123,
"limitPerCustomer": 123,
"availabilityCount": 123,
"requireFields": [
"<string>"
],
"issueBeforeBirthday": 123,
"discountValue": 123,
"discountCurrency": "<string>",
"categories": "<string>",
"products": "<string>"
}
'import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/vouchers/{voucherId}"
payload = {
"name": "<string>",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"expiresIn": 123,
"limitPerCustomer": 123,
"availabilityCount": 123,
"requireFields": ["<string>"],
"issueBeforeBirthday": 123,
"discountValue": 123,
"discountCurrency": "<string>",
"categories": "<string>",
"products": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
expiresIn: 123,
limitPerCustomer: 123,
availabilityCount: 123,
requireFields: ['<string>'],
issueBeforeBirthday: 123,
discountValue: 123,
discountCurrency: '<string>',
categories: '<string>',
products: '<string>'
})
};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/vouchers/{voucherId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Loyalty
Update Loyalty Program Voucher
Update Voucher
Updates an existing voucher within a loyalty program.
-
Path Parameters:
programId: UUID of the loyalty programvoucherId: UUID of the voucher
-
Request Body:
data: JSON object containing voucher data to be updated.
-
Returns:
- Updated voucher details as a JSON object.
PUT
/
v2
/
loyalty
/
programs
/
{programId}
/
vouchers
/
{voucherId}
Update Loyalty Program Voucher
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Available options:
welcome, birthday, other Available options:
fixed, percent, other Available options:
min, max, none Response
Successful Response
⌘I
